%define gccver %(gcc -dumpversion |cut -d. -f-2)

%define prerel %nil
%define qt_ver_major 3
%define kdedir %(kde-config --prefix)
%define qtdir %_libdir/qt%qt_ver_major
%define objprelink 1

Name: kfilereplace
Version: 0.7.0
Release: alt2

Group: Text tools
Summary: Multiple files replacing tool for KDE
Summary(ru-Ru.KOI8-R):      .
Url: http://%name.sourceforge.net/
License: GPL
Packager: Yuri N. Sedunov <aris@altlinux.ru>

Source: http://prdownloads.sourceforge.net/%name/%name-%version%prerel.tar.bz2
Source1: %name-big.png

Requires: kdelibs-gcc_compiled = %gccver

BuildPreReq: kdelibs-gcc_compiled = %gccver

%if %objprelink
BuildPreReq: objprelink
%endif

# Automatically added by buildreq on Sat May 11 2002
BuildRequires: XFree86-devel XFree86-libs freetype2 gcc-c++ kde-common kdebase kdelibs-devel libarts-devel libcups libjpeg-devel liblcms libmng libpng-devel libqt3-devel libssl libstdc++-devel libtiff-devel zlib-devel

%description
KFileReplace search and replace strings which appears inside files with others.
It support the wildcards (* and ?). For example, you can search for the
following text: "webserver*.htm" and replace it with "apache*.html" inside all
files you want.

%description -l ru-Ru.KOI8-R 
KFileReplace         
 ,     .  
     (wildcards) - *  ?. 

%prep
%setup -q -n %name-%version%prerel

%build
export KDEDIR=%kdedir
export QTDIR=%qtdir

%undefine __libtoolize

%configure \
	--disable-rpath \
	--enable-final \
	--disable-static \
	--enable-shared \
	--disable-debug \
	--program-prefix=""

%if %objprelink
%make_build CXX=g++prelink
%else
%make_build
%endif

%install
%make DESTDIR=%buildroot install

# menu
mkdir -p %buildroot/%_menudir
kdedesktop2mdkmenu.pl %name "Applications/Text tools" %buildroot/%_datadir/applnk/Utilities/%name.desktop %buildroot/%_menudir/%name

#%__install -pD -m644 %name.menu %buildroot%_menudir/%name
%__install -pD -m644 %SOURCE1 %buildroot%_iconsdir/%name.png

# workaround for doc installation
%__ln_s ../common %buildroot/%_docdir/HTML/en/%name/common

%find_lang %name

%post 
%update_menus

%postun 
%clean_menus

%files -f %name.lang
%_bindir/*
%_datadir/apps/%name
%_iconsdir/%name.png
%_iconsdir/*/*/*/%name.png
#
%_menudir/%name
%_datadir/applnk/Utilities/%name.desktop
#
%doc %_docdir/HTML/en/%name

%changelog
* Fri Oct 04 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.7.0-alt2
- Rebuild with new Qt3/KDE3.

* Mon Sep 16 2002 Sergey V Turchin <zerg@altlinux.ru> 0.7.0-alt1
- 0.7.0 release
- rebuild with gcc 3.2

* Sat May 11 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.7.0-alt0.5pre2
- First KDE3 version 

* Mon Jan 28 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.6.1-alt3
- cleanups

* Tue Dec 4 2001 Yuri N. Sedunov <aris@altlinux.ru> 0.6.1-alt2
- Menu, russian summary and description added. 

* Mon Nov 5 2001 Yuri N. Sedunov <aris@altlinux.ru> 0.6.1-alt1
- first build for Sisyphus.
